--- title: "Get subnet list" slug: "analytics-clouddatastreamingservice-cluster-getsubnetlist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subnet list Available in VPC Get the list of available subnets. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/getSubnetList (Korea Region) | | POST | /api/sgn-v1/cluster/getSubnetList (Singapore Region) | | POST | /api/jpn-v1/cluster/getSubnetList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type](/docs/en/analytics-clouddatastreamingservice-cluster-getosproductlist). | | `vpcNo` | Integer | Required | VPC number - See [Get VPC list](/docs/en/analytics-clouddatastreamingservice-cluster-getvpclist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getSubnetList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "softwareProductCode": "SW.VCDSS.OS.LNX64.CNTOS.0708.B050", "vpcNo": 4*** }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.error` | String | - | Error message | | `result.content` | Array | - | Subnet list: [content](/docs/en/analytics-clouddatastreamingservice-cluster-getsubnetlist#content) | | `requestId` | String | - | ID for the request - UUID format | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `isPublic` | Boolean | - | Whether it is a public subnet - `true` \| `false` - `true`: public subnet - `false`: private subnet | | `subnet` | String | - | Subnet's IPv4 CIDR block | | `subnetName` | String | - | Subnet name | | `subnetNo` | Integer | - | Subnet number | | `vpcName` | String | - | VPC name | | `vpcNo` | Integer | - | VPC number | | `zoneName` | String | - | Zone name | | `zoneNo` | Integer | - | Zone number | | `permission` | String | - | Sub account availability - `Allow` \| `Deny` - `Allow`: available - `Deny`: unavailable - If it is `Deny`, it becomes available when granting the [getSubnetDetail](/docs/en/networking-vpc-subnetmanagement-getsubnetdetail) permission to the sub account. | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "error": null, "content": [ { "isPublic": false, "subnet": "10.0.20.0/24", "subnetName": "sb2", "subnetNo": 3****, "vpcName": "test-vpc2", "vpcNo": 4***, "zoneName": "KR-2", "zoneNo": 3, "permission": "Allow" }, { "isPublic": true, "subnet": "10.0.10.0/24", "subnetName": "sb1", "subnetNo": 3****, "vpcName": "test-vpc2", "vpcNo": 4***, "zoneName": "KR-2", "zoneNo": 3, "permission": "Allow" } ] }, "requestId": "62453978-****-****-****-507a08571383" } ```